@use "@/theme/base.scss";

.cmds {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: var(--spacing);
  margin: var(--spacing) 0;
}

$key-width: 180px;

.cmd {
  @include base.elevated-box;
  background: var(--card-background-color);
  border: var(--border-width) solid var(--muted-border-color);
  position: relative;
  display: inline-grid;
  grid: "panel" / min-content;

  &[data-expanded="true"] {
    grid: "panel config" / min-content auto;
    > .config {
    }
    > .panel {
      border-radius: var(--border-radius) 0 0 var(--border-radius);
      > .expander {
        border-radius: var(--border-radius) 0 0 0;
      }
    }
  }

  &[data-expanded="false"] {
    > .config {
      display: none !important;
      opacity: 0;
      overflow: hidden;
      padding: calc(var(--spacing) * 0.5) 0;
      pointer-events: none;
      user-select: none;
    }
    > .panel {
      border: 0;
    }
  }
}

.tabs {
  margin: 0 calc(-0.5 * var(--spacing));
  width: calc(100% + var(--spacing));
}

.panel {
  min-width: $key-width;
  background: var(--card-sectionning-background-color);
  border-right: 1px solid var(--muted-border-color);
  padding: calc(var(--spacing) * 0.5);
  grid-area: panel;
  display: grid;
  grid: "header" min-content "key" min-content "config" auto "x" 32px;
  gap: calc(var(--spacing) * 0.5);
  border-radius: var(--border-radius);
}

.expander {
  border: 0;
  margin: calc(var(--spacing) * -0.5) calc(var(--spacing) * -0.5) 0 calc(var(--spacing) * -0.5);
  border-radius: var(--border-radius) var(--border-radius) 0 0;
}

.key {
  margin: 0 !important;
}

button.remove {
  grid-area: x;
  align-self: end;
}

.config {
  grid-area: config;
  padding: calc(var(--spacing) * 0.5);
  // min-width: 320px;
}

.configFields {
  margin: 0;
}

.cmdAdder {
  display: inline-block;
  min-width: 200px;
  margin: 0;
}

/** Specific config for specific commands */

.cmd.scenes {
  > .config > .configFields {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: var(--spacing);
  }
  > .config > .configFields > .cmd {
    // display: grid;
  }
}

.cmd.cup-stage-provider {
  > .config {
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: stretch;
  }
  > .config > .configFields {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: stretch;
    flex: 1;
    // gap provided by cmdAdder
  }
  > .config > .configFields > .cmdSelector {
    padding: calc(0.5 * var(--spacing));
    display: flex;
    gap: var(--spacing);
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }
  > .config > .configFields > .cmd {
    width: 100%;
    flex: 1;
    box-shadow: none;
    border-radius: 0;
    border-top: var(--border-width) solid var(--muted-border-color);
    border-left: 0;
    border-right: 0;
    border-bottom: 0;
    > .panel {
      display: none;
      border-radius: 0;
      > .expander {
        display: none;
        border-radius: 0;
      }
      > .remove {
        display: none;
      }
    }
  }
}

.datetime {
  > input {
    margin-bottom: 0 !important;
    min-width: 200px;
  }
}
